export function playAnimation(map,data,line){
    console.log("playAnimation",line)
    if(!data.animateMarker){
        data.animateMarker = new AMap.Marker({
            map: map,
            position: [0,0],
            icon: "https://a.amap.com/jsapi_demos/static/demo-center-v2/car.png",
            offset: new AMap.Pixel(-13, -26),
            autoRotation: true
        })
    }

    let path = line.map((item) => {
        return new AMap.LngLat(item.longitude, item.latitude)
    })

    data.animateMarker.stopMove();
    data.animateMarker.on("movealong",()=>{
        // map.add(data.animateMarker)
    })
    data.animateMarker.on("moveend",()=>{
        // setTimeout(()=>{
        //     map.remove(data.animateMarker)
        // },100)
    })
    let polyline = new AMap.Polyline({
        path: path,
    })
    data.animateMarker.moveAlong(polyline.getPath(),{
        duration: 1000/60,
        autoRotation: true
    });
}
